%define url_ver	%(echo %{version} | tr '.' '_')

Name:		qstopmotion
Version:	2.3.2
Release:	%mkrel 2
Summary:	Creates stop-motion animation movies based on Qt5
License:	GPLv3+
Group:		Video/Utilities
URL:		http://www.qstopmotion.org/
Source0:	https://sourceforge.net/projects/qstopmotion/files/Version_%{url_ver}/%{name}-%{version}-Source.tar.gz
Patch0:		qstopmotion-2.3.2-cmakelists.patch
Patch1:		qstopmotion-2.3.1-fix-ApplicationDirectory.patch
BuildRequires:	cmake
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(libgphoto2)
BuildRequires:	pkgconfig(libv4l2)

%description
qStopMotion is an application for creating stop-motion animation movies.
The users will be able to create stop-motions from pictures imported from
a camera or from the harddrive and export the animation to different video
formats such as mpeg or avi.

%prep
%setup -q -n %{name}-%{version}-Source
%autopatch -p1

# fix spurious-executable-perm
chmod 0644 Changes.txt README.txt

%build
%cmake_qt5

%make_build

%install
%make_install -C build

%files
%doc AUTHORS Changes.txt README.txt
%doc %{_docdir}/%{name}/
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1.*


%changelog
* Fri Mar 10 2017 akien <akien> 2.3.2-2.mga6
+ Revision: 1091633
- Rebuild for v4l-utils 1.12.3

* Fri Nov 25 2016 daviddavid <daviddavid> 2.3.2-1.mga6
+ Revision: 1070111
- new version: 2.3.2
- rename and rediff cmakelists patch

* Wed Aug 10 2016 daviddavid <daviddavid> 2.3.1-1.mga6
+ Revision: 1045282
- initial package qstopmotion

